GuideLab API

Send a purchase order

Transitions a draft purchase order to 'sent' status and records the order date. Only draft orders can be sent.

POST
/inventory/purchase-orders/{id}/send

Transitions a draft purchase order to 'sent' status and records the order date. Only draft orders can be sent.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Purchase order ID

Response Body

application/json

curl -X POST "https://example.com/inventory/purchase-orders/550e8400-e29b-41d4-a716-446655440000/send"
{  "data": {    "id": "string",    "poNumber": "string",    "status": "string",    "orderDate": "string",    "createdAt": "string",    "updatedAt": "string",    "property1": null,    "property2": null  }}
Empty
Empty
Empty